/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Llib/tvector.scm -indent -o objs/obj_u/Llib/tvector.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___TVECTOR_TYPE_DEFINITIONS
#define BGL___TVECTOR_TYPE_DEFINITIONS
#endif													// BGL___TVECTOR_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL long BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
	static obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__tvectorz00(void);
	static obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__tvectorz00(void);
	static obj_t BGl_genericzd2initzd2zz__tvectorz00(void);
	extern long bgl_list_length(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
	static obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__tvectorz00(void);
	static obj_t BGl_objectzd2initzd2zz__tvectorz00(void);
	BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
	static obj_t BGl_methodzd2initzd2zz__tvectorz00(void);
	BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
	static obj_t BGl_symbol1649z00zz__tvectorz00 = BUNSPEC;
	static obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00(void);
	static obj_t BGl_symbol1651z00zz__tvectorz00 = BUNSPEC;
	static obj_t BGl_symbol1653z00zz__tvectorz00 = BUNSPEC;
	extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t, obj_t);
	extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
	static obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzf3zd2envz21zz__tvectorz00,
		BgL_bgl_za762tvectorza7f3za7911670za7, BGl_z62tvectorzf3z91zz__tvectorz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00,
		BgL_bgl_za762listza7d2za7e3tve1671za7,
		BGl_z62listzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00,
		BgL_bgl_za762vectorza7d2za7e3t1672za7,
		BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2lengthzd2envz00zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2len1673z00,
		BGl_z62tvectorzd2lengthzb0zz__tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2za7e31674za7,
		BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1643z00zz__tvectorz00,
		BgL_bgl_string1643za700za7za7_1675za7,
		"/tmp/bigloo/runtime/Llib/tvector.scm", 36);
	      BGL_DEFINE_STRING(BGl_string1644z00zz__tvectorz00,
		BgL_bgl_string1644za700za7za7_1676za7, "&tvector-length", 15);
	      BGL_DEFINE_STRING(BGl_string1645z00zz__tvectorz00,
		BgL_bgl_string1645za700za7za7_1677za7, "tvector", 7);
	      BGL_DEFINE_STRING(BGl_string1646z00zz__tvectorz00,
		BgL_bgl_string1646za700za7za7_1678za7, "&tvector-id", 11);
	      BGL_DEFINE_STRING(BGl_string1647z00zz__tvectorz00,
		BgL_bgl_string1647za700za7za7_1679za7, "&get-tvector-descriptor", 23);
	      BGL_DEFINE_STRING(BGl_string1648z00zz__tvectorz00,
		BgL_bgl_string1648za700za7za7_1680za7, "symbol", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00,
		BgL_bgl_za762getza7d2tvector1681z00,
		BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00,
		BgL_bgl_za762declareza7d2tve1682z00,
		BGl_z62declarezd2tvectorz12za2zz__tvectorz00, 0L, BUNSPEC, 4);
	      BGL_DEFINE_STRING(BGl_string1650z00zz__tvectorz00,
		BgL_bgl_string1650za700za7za7_1683za7, "upcase", 6);
	      BGL_DEFINE_STRING(BGl_string1652z00zz__tvectorz00,
		BgL_bgl_string1652za700za7za7_1684za7, "downcase", 8);
	      BGL_DEFINE_STRING(BGl_string1654z00zz__tvectorz00,
		BgL_bgl_string1654za700za7za7_1685za7, "tvect-descr", 11);
	      BGL_DEFINE_STRING(BGl_string1655z00zz__tvectorz00,
		BgL_bgl_string1655za700za7za7_1686za7, "&declare-tvector!", 17);
	      BGL_DEFINE_STRING(BGl_string1656z00zz__tvectorz00,
		BgL_bgl_string1656za700za7za7_1687za7, "bstring", 7);
	      BGL_DEFINE_STRING(BGl_string1657z00zz__tvectorz00,
		BgL_bgl_string1657za700za7za7_1688za7, "procedure", 9);
	      BGL_DEFINE_STRING(BGl_string1658z00zz__tvectorz00,
		BgL_bgl_string1658za700za7za7_1689za7, "&tvector-ref", 12);
	      BGL_DEFINE_STRING(BGl_string1659z00zz__tvectorz00,
		BgL_bgl_string1659za700za7za7_1690za7, "list->tvector", 13);
	      BGL_DEFINE_STRING(BGl_string1660z00zz__tvectorz00,
		BgL_bgl_string1660za700za7za7_1691za7, "Unable to convert to such tvector",
		33);
	      BGL_DEFINE_STRING(BGl_string1661z00zz__tvectorz00,
		BgL_bgl_string1661za700za7za7_1692za7, "Undeclared tvector", 18);
	      BGL_DEFINE_STRING(BGl_string1662z00zz__tvectorz00,
		BgL_bgl_string1662za700za7za7_1693za7, "&list->tvector", 14);
	      BGL_DEFINE_STRING(BGl_string1663z00zz__tvectorz00,
		BgL_bgl_string1663za700za7za7_1694za7, "pair-nil", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2refzd2envz00zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2ref1695z00, BGl_z62tvectorzd2refzb0zz__tvectorz00,
		0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1664z00zz__tvectorz00,
		BgL_bgl_string1664za700za7za7_1696za7, "vector->tvector", 15);
	      BGL_DEFINE_STRING(BGl_string1665z00zz__tvectorz00,
		BgL_bgl_string1665za700za7za7_1697za7, "&vector->tvector", 16);
	      BGL_DEFINE_STRING(BGl_string1666z00zz__tvectorz00,
		BgL_bgl_string1666za700za7za7_1698za7, "vector", 6);
	      BGL_DEFINE_STRING(BGl_string1667z00zz__tvectorz00,
		BgL_bgl_string1667za700za7za7_1699za7, "tvector->vector", 15);
	      BGL_DEFINE_STRING(BGl_string1668z00zz__tvectorz00,
		BgL_bgl_string1668za700za7za7_1700za7, "&tvector->vector", 16);
	      BGL_DEFINE_STRING(BGl_string1669z00zz__tvectorz00,
		BgL_bgl_string1669za700za7za7_1701za7, "__tvector", 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2idzd2envz00zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2idza71702za7, BGl_z62tvectorzd2idzb0zz__tvectorz00,
		0L, BUNSPEC, 1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_tvectorzd2idzd2envz00zz__tvectorz00,
			BgL_bgl_za762tvectorza7d2idza71702za7);
		BGL_BIND_STRING(BGl_string1669z00zz__tvectorz00,
			BgL_bgl_string1669za700za7za7_1701za7);
		BGL_BIND_STRING(BGl_string1668z00zz__tvectorz00,
			BgL_bgl_string1668za700za7za7_1700za7);
		BGL_BIND_STRING(BGl_string1667z00zz__tvectorz00,
			BgL_bgl_string1667za700za7za7_1699za7);
		BGL_BIND_STRING(BGl_string1666z00zz__tvectorz00,
			BgL_bgl_string1666za700za7za7_1698za7);
		BGL_BIND_STRING(BGl_string1665z00zz__tvectorz00,
			BgL_bgl_string1665za700za7za7_1697za7);
		BGL_BIND_STRING(BGl_string1664z00zz__tvectorz00,
			BgL_bgl_string1664za700za7za7_1696za7);
		BGL_BIND_PROCEDURE(BGl_tvectorzd2refzd2envz00zz__tvectorz00,
			BgL_bgl_za762tvectorza7d2ref1695z00);
		BGL_BIND_STRING(BGl_string1663z00zz__tvectorz00,
			BgL_bgl_string1663za700za7za7_1694za7);
		BGL_BIND_STRING(BGl_string1662z00zz__tvectorz00,
			BgL_bgl_string1662za700za7za7_1693za7);
		BGL_BIND_STRING(BGl_string1661z00zz__tvectorz00,
			BgL_bgl_string1661za700za7za7_1692za7);
		BGL_BIND_STRING(BGl_string1660z00zz__tvectorz00,
			BgL_bgl_string1660za700za7za7_1691za7);
		BGL_BIND_STRING(BGl_string1659z00zz__tvectorz00,
			BgL_bgl_string1659za700za7za7_1690za7);
		BGL_BIND_STRING(BGl_string1658z00zz__tvectorz00,
			BgL_bgl_string1658za700za7za7_1689za7);
		BGL_BIND_STRING(BGl_string1657z00zz__tvectorz00,
			BgL_bgl_string1657za700za7za7_1688za7);
		BGL_BIND_STRING(BGl_string1656z00zz__tvectorz00,
			BgL_bgl_string1656za700za7za7_1687za7);
		BGL_BIND_STRING(BGl_string1655z00zz__tvectorz00,
			BgL_bgl_string1655za700za7za7_1686za7);
		BGL_BIND_STRING(BGl_string1654z00zz__tvectorz00,
			BgL_bgl_string1654za700za7za7_1685za7);
		BGL_BIND_STRING(BGl_string1652z00zz__tvectorz00,
			BgL_bgl_string1652za700za7za7_1684za7);
		BGL_BIND_STRING(BGl_string1650z00zz__tvectorz00,
			BgL_bgl_string1650za700za7za7_1683za7);
		BGL_BIND_PROCEDURE(BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00,
			BgL_bgl_za762declareza7d2tve1682z00);
		BGL_BIND_PROCEDURE(BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00,
			BgL_bgl_za762getza7d2tvector1681z00);
		BGL_BIND_STRING(BGl_string1648z00zz__tvectorz00,
			BgL_bgl_string1648za700za7za7_1680za7);
		BGL_BIND_STRING(BGl_string1647z00zz__tvectorz00,
			BgL_bgl_string1647za700za7za7_1679za7);
		BGL_BIND_STRING(BGl_string1646z00zz__tvectorz00,
			BgL_bgl_string1646za700za7za7_1678za7);
		BGL_BIND_STRING(BGl_string1645z00zz__tvectorz00,
			BgL_bgl_string1645za700za7za7_1677za7);
		BGL_BIND_STRING(BGl_string1644z00zz__tvectorz00,
			BgL_bgl_string1644za700za7za7_1676za7);
		BGL_BIND_STRING(BGl_string1643z00zz__tvectorz00,
			BgL_bgl_string1643za700za7za7_1675za7);
		BGL_BIND_PROCEDURE(BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00,
			BgL_bgl_za762tvectorza7d2za7e31674za7);
		BGL_BIND_PROCEDURE(BGl_tvectorzd2lengthzd2envz00zz__tvectorz00,
			BgL_bgl_za762tvectorza7d2len1673z00);
		BGL_BIND_PROCEDURE(BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00,
			BgL_bgl_za762vectorza7d2za7e3t1672za7);
		BGL_BIND_PROCEDURE(BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00,
			BgL_bgl_za762listza7d2za7e3tve1671za7);
		BGL_BIND_PROCEDURE(BGl_tvectorzf3zd2envz21zz__tvectorz00,
			BgL_bgl_za762tvectorza7f3za7911670za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__tvectorz00));
		ADD_ROOT((void *) (&BGl_symbol1649z00zz__tvectorz00));
		ADD_ROOT((void *) (&BGl_symbol1651z00zz__tvectorz00));
		ADD_ROOT((void *) (&BGl_symbol1653z00zz__tvectorz00));
		ADD_ROOT((void *) (&BGl_za2tvectorzd2tableza2zd2zz__tvectorz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long
		BgL_checksumz00_1942, char *BgL_fromz00_1943)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
				{
					BGl_requirezd2initializa7ationz75zz__tvectorz00 = BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__tvectorz00();
					BGl_cnstzd2initzd2zz__tvectorz00();
					BGl_importedzd2moduleszd2initz00zz__tvectorz00();
					return BGl_toplevelzd2initzd2zz__tvectorz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__tvectorz00(void)
	{
		{	/* Llib/tvector.scm 14 */
			BGl_symbol1649z00zz__tvectorz00 =
				bstring_to_symbol(BGl_string1650z00zz__tvectorz00);
			BGl_symbol1651z00zz__tvectorz00 =
				bstring_to_symbol(BGl_string1652z00zz__tvectorz00);
			return (BGl_symbol1653z00zz__tvectorz00 =
				bstring_to_symbol(BGl_string1654z00zz__tvectorz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__tvectorz00(void)
	{
		{	/* Llib/tvector.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__tvectorz00(void)
	{
		{	/* Llib/tvector.scm 14 */
			return (BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC);
		}

	}



/* tvector? */
	BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_3)
	{
		{	/* Llib/tvector.scm 92 */
			return TVECTORP(BgL_objz00_3);
		}

	}



/* &tvector? */
	obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t BgL_envz00_1893,
		obj_t BgL_objz00_1894)
	{
		{	/* Llib/tvector.scm 92 */
			return BBOOL(BGl_tvectorzf3zf3zz__tvectorz00(BgL_objz00_1894));
		}

	}



/* tvector-length */
	BGL_EXPORTED_DEF long BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t
		BgL_objz00_4)
	{
		{	/* Llib/tvector.scm 98 */
			return TVECTOR_LENGTH(BgL_objz00_4);
		}

	}



/* &tvector-length */
	obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t BgL_envz00_1895,
		obj_t BgL_objz00_1896)
	{
		{	/* Llib/tvector.scm 98 */
			{	/* Llib/tvector.scm 99 */
				long BgL_tmpz00_1960;

				{	/* Llib/tvector.scm 99 */
					obj_t BgL_auxz00_1961;

					if (TVECTORP(BgL_objz00_1896))
						{	/* Llib/tvector.scm 99 */
							BgL_auxz00_1961 = BgL_objz00_1896;
						}
					else
						{
							obj_t BgL_auxz00_1964;

							BgL_auxz00_1964 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
								BINT(3560L), BGl_string1644z00zz__tvectorz00,
								BGl_string1645z00zz__tvectorz00, BgL_objz00_1896);
							FAILURE(BgL_auxz00_1964, BFALSE, BFALSE);
						}
					BgL_tmpz00_1960 =
						BGl_tvectorzd2lengthzd2zz__tvectorz00(BgL_auxz00_1961);
				}
				return BINT(BgL_tmpz00_1960);
			}
		}

	}



/* tvector-id */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_5)
	{
		{	/* Llib/tvector.scm 104 */
			return STRUCT_REF(TVECTOR_DESCR(BgL_tvectz00_5), (int) (0L));
		}

	}



/* &tvector-id */
	obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t BgL_envz00_1897,
		obj_t BgL_tvectz00_1898)
	{
		{	/* Llib/tvector.scm 104 */
			{	/* Llib/tvector.scm 105 */
				obj_t BgL_auxz00_1973;

				if (TVECTORP(BgL_tvectz00_1898))
					{	/* Llib/tvector.scm 105 */
						BgL_auxz00_1973 = BgL_tvectz00_1898;
					}
				else
					{
						obj_t BgL_auxz00_1976;

						BgL_auxz00_1976 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(3852L), BGl_string1646z00zz__tvectorz00,
							BGl_string1645z00zz__tvectorz00, BgL_tvectz00_1898);
						FAILURE(BgL_auxz00_1976, BFALSE, BFALSE);
					}
				return BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1973);
			}
		}

	}



/* get-tvector-descriptor */
	BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_24)
	{
		{	/* Llib/tvector.scm 127 */
			if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
				{	/* Llib/tvector.scm 128 */
					return BFALSE;
				}
			else
				{	/* Llib/tvector.scm 129 */
					obj_t BgL_cellz00_1632;

					BgL_cellz00_1632 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_24,
						BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
					if (PAIRP(BgL_cellz00_1632))
						{	/* Llib/tvector.scm 130 */
							return CDR(BgL_cellz00_1632);
						}
					else
						{	/* Llib/tvector.scm 130 */
							return BFALSE;
						}
				}
		}

	}



/* &get-tvector-descriptor */
	obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t
		BgL_envz00_1899, obj_t BgL_idz00_1900)
	{
		{	/* Llib/tvector.scm 127 */
			{	/* Llib/tvector.scm 128 */
				obj_t BgL_auxz00_1987;

				if (SYMBOLP(BgL_idz00_1900))
					{	/* Llib/tvector.scm 128 */
						BgL_auxz00_1987 = BgL_idz00_1900;
					}
				else
					{
						obj_t BgL_auxz00_1990;

						BgL_auxz00_1990 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(5103L), BGl_string1647z00zz__tvectorz00,
							BGl_string1648z00zz__tvectorz00, BgL_idz00_1900);
						FAILURE(BgL_auxz00_1990, BFALSE, BFALSE);
					}
				return get_tvector_descriptor(BgL_auxz00_1987);
			}
		}

	}



/* declare-tvector! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char
		*BgL_idz00_25, obj_t BgL_allocatez00_26, obj_t BgL_refz00_27,
		obj_t BgL_setz00_28)
	{
		{	/* Llib/tvector.scm 141 */
			{	/* Llib/tvector.scm 142 */
				obj_t BgL_idz00_1148;

				{	/* Llib/tvector.scm 142 */
					obj_t BgL_arg1193z00_1153;

					{	/* Llib/tvector.scm 142 */
						obj_t BgL_casezd2valuezd2_1154;

						BgL_casezd2valuezd2_1154 =
							BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
						if ((BgL_casezd2valuezd2_1154 == BGl_symbol1649z00zz__tvectorz00))
							{	/* Llib/tvector.scm 142 */
								BgL_arg1193z00_1153 =
									BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(string_to_bstring
									(BgL_idz00_25));
							}
						else
							{	/* Llib/tvector.scm 142 */
								if (
									(BgL_casezd2valuezd2_1154 == BGl_symbol1651z00zz__tvectorz00))
									{	/* Llib/tvector.scm 142 */
										BgL_arg1193z00_1153 =
											BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
											(string_to_bstring(BgL_idz00_25));
									}
								else
									{	/* Llib/tvector.scm 142 */
										BgL_arg1193z00_1153 = string_to_bstring(BgL_idz00_25);
									}
							}
					}
					BgL_idz00_1148 = bstring_to_symbol(BgL_arg1193z00_1153);
				}
				{	/* Llib/tvector.scm 142 */
					obj_t BgL_oldz00_1149;

					if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
						{	/* Llib/tvector.scm 128 */
							BgL_oldz00_1149 = BFALSE;
						}
					else
						{	/* Llib/tvector.scm 129 */
							obj_t BgL_cellz00_1641;

							BgL_cellz00_1641 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1148,
								BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
							if (PAIRP(BgL_cellz00_1641))
								{	/* Llib/tvector.scm 130 */
									BgL_oldz00_1149 = CDR(BgL_cellz00_1641);
								}
							else
								{	/* Llib/tvector.scm 130 */
									BgL_oldz00_1149 = BFALSE;
								}
						}
					{	/* Llib/tvector.scm 149 */

						{	/* Llib/tvector.scm 150 */
							bool_t BgL_test1713z00_2012;

							if (STRUCTP(BgL_oldz00_1149))
								{	/* Llib/tvector.scm 113 */
									BgL_test1713z00_2012 =
										(STRUCT_KEY(BgL_oldz00_1149) ==
										BGl_symbol1653z00zz__tvectorz00);
								}
							else
								{	/* Llib/tvector.scm 113 */
									BgL_test1713z00_2012 = ((bool_t) 0);
								}
							if (BgL_test1713z00_2012)
								{	/* Llib/tvector.scm 150 */
									return BgL_oldz00_1149;
								}
							else
								{	/* Llib/tvector.scm 151 */
									obj_t BgL_newz00_1151;

									{	/* Llib/tvector.scm 113 */
										obj_t BgL_newz00_1649;

										BgL_newz00_1649 =
											create_struct(BGl_symbol1653z00zz__tvectorz00,
											(int) (4L));
										{	/* Llib/tvector.scm 113 */
											int BgL_tmpz00_2019;

											BgL_tmpz00_2019 = (int) (3L);
											STRUCT_SET(BgL_newz00_1649, BgL_tmpz00_2019,
												BgL_setz00_28);
										}
										{	/* Llib/tvector.scm 113 */
											int BgL_tmpz00_2022;

											BgL_tmpz00_2022 = (int) (2L);
											STRUCT_SET(BgL_newz00_1649, BgL_tmpz00_2022,
												BgL_refz00_27);
										}
										{	/* Llib/tvector.scm 113 */
											int BgL_tmpz00_2025;

											BgL_tmpz00_2025 = (int) (1L);
											STRUCT_SET(BgL_newz00_1649, BgL_tmpz00_2025,
												BgL_allocatez00_26);
										}
										{	/* Llib/tvector.scm 113 */
											int BgL_tmpz00_2028;

											BgL_tmpz00_2028 = (int) (0L);
											STRUCT_SET(BgL_newz00_1649, BgL_tmpz00_2028,
												BgL_idz00_1148);
										}
										BgL_newz00_1151 = BgL_newz00_1649;
									}
									{	/* Llib/tvector.scm 152 */
										obj_t BgL_arg1192z00_1152;

										BgL_arg1192z00_1152 =
											MAKE_YOUNG_PAIR(BgL_idz00_1148, BgL_newz00_1151);
										BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 =
											MAKE_YOUNG_PAIR(BgL_arg1192z00_1152,
											BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
									}
									return BgL_newz00_1151;
								}
						}
					}
				}
			}
		}

	}



/* &declare-tvector! */
	obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t BgL_envz00_1901,
		obj_t BgL_idz00_1902, obj_t BgL_allocatez00_1903, obj_t BgL_refz00_1904,
		obj_t BgL_setz00_1905)
	{
		{	/* Llib/tvector.scm 141 */
			{	/* Llib/tvector.scm 142 */
				obj_t BgL_auxz00_2042;
				char *BgL_auxz00_2033;

				if (PROCEDUREP(BgL_allocatez00_1903))
					{	/* Llib/tvector.scm 142 */
						BgL_auxz00_2042 = BgL_allocatez00_1903;
					}
				else
					{
						obj_t BgL_auxz00_2045;

						BgL_auxz00_2045 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(5792L), BGl_string1655z00zz__tvectorz00,
							BGl_string1657z00zz__tvectorz00, BgL_allocatez00_1903);
						FAILURE(BgL_auxz00_2045, BFALSE, BFALSE);
					}
				{	/* Llib/tvector.scm 142 */
					obj_t BgL_tmpz00_2034;

					if (STRINGP(BgL_idz00_1902))
						{	/* Llib/tvector.scm 142 */
							BgL_tmpz00_2034 = BgL_idz00_1902;
						}
					else
						{
							obj_t BgL_auxz00_2037;

							BgL_auxz00_2037 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
								BINT(5792L), BGl_string1655z00zz__tvectorz00,
								BGl_string1656z00zz__tvectorz00, BgL_idz00_1902);
							FAILURE(BgL_auxz00_2037, BFALSE, BFALSE);
						}
					BgL_auxz00_2033 = BSTRING_TO_STRING(BgL_tmpz00_2034);
				}
				return
					BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_2033,
					BgL_auxz00_2042, BgL_refz00_1904, BgL_setz00_1905);
			}
		}

	}



/* tvector-ref */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t
		BgL_tvectorz00_29)
	{
		{	/* Llib/tvector.scm 159 */
			return STRUCT_REF(TVECTOR_DESCR(BgL_tvectorz00_29), (int) (2L));
		}

	}



/* &tvector-ref */
	obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t BgL_envz00_1906,
		obj_t BgL_tvectorz00_1907)
	{
		{	/* Llib/tvector.scm 159 */
			{	/* Llib/tvector.scm 160 */
				obj_t BgL_auxz00_2053;

				if (TVECTORP(BgL_tvectorz00_1907))
					{	/* Llib/tvector.scm 160 */
						BgL_auxz00_2053 = BgL_tvectorz00_1907;
					}
				else
					{
						obj_t BgL_auxz00_2056;

						BgL_auxz00_2056 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(6513L), BGl_string1658z00zz__tvectorz00,
							BGl_string1645z00zz__tvectorz00, BgL_tvectorz00_1907);
						FAILURE(BgL_auxz00_2056, BFALSE, BFALSE);
					}
				return BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_2053);
			}
		}

	}



/* list->tvector */
	BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t
		BgL_idz00_30, obj_t BgL_lz00_31)
	{
		{	/* Llib/tvector.scm 165 */
			{	/* Llib/tvector.scm 166 */
				obj_t BgL_descrz00_1160;

				if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
					{	/* Llib/tvector.scm 128 */
						BgL_descrz00_1160 = BFALSE;
					}
				else
					{	/* Llib/tvector.scm 129 */
						obj_t BgL_cellz00_1658;

						BgL_cellz00_1658 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_30,
							BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
						if (PAIRP(BgL_cellz00_1658))
							{	/* Llib/tvector.scm 130 */
								BgL_descrz00_1160 = CDR(BgL_cellz00_1658);
							}
						else
							{	/* Llib/tvector.scm 130 */
								BgL_descrz00_1160 = BFALSE;
							}
					}
				if (CBOOL(BgL_descrz00_1160))
					{	/* Llib/tvector.scm 169 */
						obj_t BgL_allocatez00_1161;
						obj_t BgL_setz00_1162;

						BgL_allocatez00_1161 =
							STRUCT_REF(((obj_t) BgL_descrz00_1160), (int) (1L));
						BgL_setz00_1162 =
							STRUCT_REF(((obj_t) BgL_descrz00_1160), (int) (3L));
						if (PROCEDUREP(BgL_setz00_1162))
							{	/* Llib/tvector.scm 175 */
								long BgL_lenz00_1164;

								BgL_lenz00_1164 = bgl_list_length(BgL_lz00_31);
								{	/* Llib/tvector.scm 175 */
									obj_t BgL_tvecz00_1165;

									BgL_tvecz00_1165 =
										BGL_PROCEDURE_CALL1(BgL_allocatez00_1161,
										BINT(BgL_lenz00_1164));
									{	/* Llib/tvector.scm 176 */

										{
											obj_t BgL_lz00_1679;
											long BgL_iz00_1680;

											BgL_lz00_1679 = BgL_lz00_31;
											BgL_iz00_1680 = 0L;
										BgL_loopz00_1678:
											if (NULLP(BgL_lz00_1679))
												{	/* Llib/tvector.scm 179 */
													return BgL_tvecz00_1165;
												}
											else
												{	/* Llib/tvector.scm 179 */
													{	/* Llib/tvector.scm 182 */
														obj_t BgL_arg1206z00_1686;

														BgL_arg1206z00_1686 = CAR(((obj_t) BgL_lz00_1679));
														BGL_PROCEDURE_CALL3(BgL_setz00_1162,
															BgL_tvecz00_1165, BINT(BgL_iz00_1680),
															BgL_arg1206z00_1686);
													}
													{	/* Llib/tvector.scm 183 */
														obj_t BgL_arg1207z00_1687;
														long BgL_arg1208z00_1688;

														BgL_arg1207z00_1687 = CDR(((obj_t) BgL_lz00_1679));
														BgL_arg1208z00_1688 = (BgL_iz00_1680 + 1L);
														{
															long BgL_iz00_2098;
															obj_t BgL_lz00_2097;

															BgL_lz00_2097 = BgL_arg1207z00_1687;
															BgL_iz00_2098 = BgL_arg1208z00_1688;
															BgL_iz00_1680 = BgL_iz00_2098;
															BgL_lz00_1679 = BgL_lz00_2097;
															goto BgL_loopz00_1678;
														}
													}
												}
										}
									}
								}
							}
						else
							{	/* Llib/tvector.scm 171 */
								return
									BGl_errorz00zz__errorz00(BGl_string1659z00zz__tvectorz00,
									BGl_string1660z00zz__tvectorz00, BgL_idz00_30);
							}
					}
				else
					{	/* Llib/tvector.scm 167 */
						return
							BGl_errorz00zz__errorz00(BGl_string1659z00zz__tvectorz00,
							BGl_string1661z00zz__tvectorz00, BgL_idz00_30);
					}
			}
		}

	}



/* &list->tvector */
	obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1908,
		obj_t BgL_idz00_1909, obj_t BgL_lz00_1910)
	{
		{	/* Llib/tvector.scm 165 */
			{	/* Llib/tvector.scm 166 */
				obj_t BgL_auxz00_2108;
				obj_t BgL_auxz00_2101;

				if (BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00
					(BgL_lz00_1910))
					{	/* Llib/tvector.scm 166 */
						BgL_auxz00_2108 = BgL_lz00_1910;
					}
				else
					{
						obj_t BgL_auxz00_2111;

						BgL_auxz00_2111 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(6814L), BGl_string1662z00zz__tvectorz00,
							BGl_string1663z00zz__tvectorz00, BgL_lz00_1910);
						FAILURE(BgL_auxz00_2111, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_idz00_1909))
					{	/* Llib/tvector.scm 166 */
						BgL_auxz00_2101 = BgL_idz00_1909;
					}
				else
					{
						obj_t BgL_auxz00_2104;

						BgL_auxz00_2104 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(6814L), BGl_string1662z00zz__tvectorz00,
							BGl_string1648z00zz__tvectorz00, BgL_idz00_1909);
						FAILURE(BgL_auxz00_2104, BFALSE, BFALSE);
					}
				return
					BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2101,
					BgL_auxz00_2108);
			}
		}

	}



/* vector->tvector */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t
		BgL_idz00_32, obj_t BgL_vz00_33)
	{
		{	/* Llib/tvector.scm 188 */
			{	/* Llib/tvector.scm 189 */
				obj_t BgL_descrz00_1175;

				if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
					{	/* Llib/tvector.scm 128 */
						BgL_descrz00_1175 = BFALSE;
					}
				else
					{	/* Llib/tvector.scm 129 */
						obj_t BgL_cellz00_1694;

						BgL_cellz00_1694 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_32,
							BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
						if (PAIRP(BgL_cellz00_1694))
							{	/* Llib/tvector.scm 130 */
								BgL_descrz00_1175 = CDR(BgL_cellz00_1694);
							}
						else
							{	/* Llib/tvector.scm 130 */
								BgL_descrz00_1175 = BFALSE;
							}
					}
				if (CBOOL(BgL_descrz00_1175))
					{	/* Llib/tvector.scm 192 */
						obj_t BgL_allocatez00_1176;
						obj_t BgL_setz00_1177;

						BgL_allocatez00_1176 =
							STRUCT_REF(((obj_t) BgL_descrz00_1175), (int) (1L));
						BgL_setz00_1177 =
							STRUCT_REF(((obj_t) BgL_descrz00_1175), (int) (3L));
						if (PROCEDUREP(BgL_setz00_1177))
							{	/* Llib/tvector.scm 198 */
								obj_t BgL_tvecz00_1180;

								BgL_tvecz00_1180 =
									BGL_PROCEDURE_CALL1(BgL_allocatez00_1176,
									BINT(VECTOR_LENGTH(BgL_vz00_33)));
								{	/* Llib/tvector.scm 199 */

									{	/* Llib/tvector.scm 200 */
										long BgL_g1040z00_1181;

										BgL_g1040z00_1181 = (VECTOR_LENGTH(BgL_vz00_33) - 1L);
										{
											long BgL_iz00_1183;

											BgL_iz00_1183 = BgL_g1040z00_1181;
										BgL_zc3z04anonymousza31210ze3z87_1184:
											if ((BgL_iz00_1183 == (-1L)))
												{	/* Llib/tvector.scm 201 */
													return BgL_tvecz00_1180;
												}
											else
												{	/* Llib/tvector.scm 201 */
													{	/* Llib/tvector.scm 204 */
														obj_t BgL_arg1213z00_1186;

														BgL_arg1213z00_1186 =
															VECTOR_REF(BgL_vz00_33, BgL_iz00_1183);
														BGL_PROCEDURE_CALL3(BgL_setz00_1177,
															BgL_tvecz00_1180, BINT(BgL_iz00_1183),
															BgL_arg1213z00_1186);
													}
													{
														long BgL_iz00_2150;

														BgL_iz00_2150 = (BgL_iz00_1183 - 1L);
														BgL_iz00_1183 = BgL_iz00_2150;
														goto BgL_zc3z04anonymousza31210ze3z87_1184;
													}
												}
										}
									}
								}
							}
						else
							{	/* Llib/tvector.scm 194 */
								return
									BGl_errorz00zz__errorz00(BGl_string1664z00zz__tvectorz00,
									BGl_string1660z00zz__tvectorz00, BgL_idz00_32);
							}
					}
				else
					{	/* Llib/tvector.scm 190 */
						return
							BGl_errorz00zz__errorz00(BGl_string1664z00zz__tvectorz00,
							BGl_string1661z00zz__tvectorz00, BgL_idz00_32);
					}
			}
		}

	}



/* &vector->tvector */
	obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1911,
		obj_t BgL_idz00_1912, obj_t BgL_vz00_1913)
	{
		{	/* Llib/tvector.scm 188 */
			{	/* Llib/tvector.scm 189 */
				obj_t BgL_auxz00_2161;
				obj_t BgL_auxz00_2154;

				if (VECTORP(BgL_vz00_1913))
					{	/* Llib/tvector.scm 189 */
						BgL_auxz00_2161 = BgL_vz00_1913;
					}
				else
					{
						obj_t BgL_auxz00_2164;

						BgL_auxz00_2164 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(7609L), BGl_string1665z00zz__tvectorz00,
							BGl_string1666z00zz__tvectorz00, BgL_vz00_1913);
						FAILURE(BgL_auxz00_2164, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_idz00_1912))
					{	/* Llib/tvector.scm 189 */
						BgL_auxz00_2154 = BgL_idz00_1912;
					}
				else
					{
						obj_t BgL_auxz00_2157;

						BgL_auxz00_2157 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(7609L), BGl_string1665z00zz__tvectorz00,
							BGl_string1648z00zz__tvectorz00, BgL_idz00_1912);
						FAILURE(BgL_auxz00_2157, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2154,
					BgL_auxz00_2161);
			}
		}

	}



/* tvector->vector */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t
		BgL_tvz00_34)
	{
		{	/* Llib/tvector.scm 210 */
			{	/* Llib/tvector.scm 211 */
				obj_t BgL_descrz00_1189;

				BgL_descrz00_1189 = TVECTOR_DESCR(BgL_tvz00_34);
				{	/* Llib/tvector.scm 212 */
					obj_t BgL_refz00_1191;

					BgL_refz00_1191 = STRUCT_REF(((obj_t) BgL_descrz00_1189), (int) (2L));
					if (PROCEDUREP(BgL_refz00_1191))
						{	/* Llib/tvector.scm 218 */
							long BgL_lenz00_1193;

							BgL_lenz00_1193 = TVECTOR_LENGTH(BgL_tvz00_34);
							{	/* Llib/tvector.scm 218 */
								obj_t BgL_vecz00_1194;

								BgL_vecz00_1194 = create_vector(BgL_lenz00_1193);
								{	/* Llib/tvector.scm 219 */

									{	/* Llib/tvector.scm 220 */
										long BgL_g1041z00_1195;

										BgL_g1041z00_1195 = (BgL_lenz00_1193 - 1L);
										{
											long BgL_iz00_1197;

											BgL_iz00_1197 = BgL_g1041z00_1195;
										BgL_zc3z04anonymousza31217ze3z87_1198:
											if ((BgL_iz00_1197 == (-1L)))
												{	/* Llib/tvector.scm 221 */
													return BgL_vecz00_1194;
												}
											else
												{	/* Llib/tvector.scm 221 */
													{	/* Llib/tvector.scm 224 */
														obj_t BgL_arg1219z00_1200;

														BgL_arg1219z00_1200 =
															BGL_PROCEDURE_CALL2(BgL_refz00_1191, BgL_tvz00_34,
															BINT(BgL_iz00_1197));
														VECTOR_SET(BgL_vecz00_1194, BgL_iz00_1197,
															BgL_arg1219z00_1200);
													}
													{
														long BgL_iz00_2187;

														BgL_iz00_2187 = (BgL_iz00_1197 - 1L);
														BgL_iz00_1197 = BgL_iz00_2187;
														goto BgL_zc3z04anonymousza31217ze3z87_1198;
													}
												}
										}
									}
								}
							}
						}
					else
						{	/* Llib/tvector.scm 217 */
							obj_t BgL_arg1225z00_1203;

							BgL_arg1225z00_1203 =
								STRUCT_REF(((obj_t) BgL_descrz00_1189), (int) (0L));
							return
								BGl_errorz00zz__errorz00(BGl_string1667z00zz__tvectorz00,
								BGl_string1660z00zz__tvectorz00, BgL_arg1225z00_1203);
						}
				}
			}
		}

	}



/* &tvector->vector */
	obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t BgL_envz00_1914,
		obj_t BgL_tvz00_1915)
	{
		{	/* Llib/tvector.scm 210 */
			{	/* Llib/tvector.scm 211 */
				obj_t BgL_auxz00_2193;

				if (TVECTORP(BgL_tvz00_1915))
					{	/* Llib/tvector.scm 211 */
						BgL_auxz00_2193 = BgL_tvz00_1915;
					}
				else
					{
						obj_t BgL_auxz00_2196;

						BgL_auxz00_2196 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1643z00zz__tvectorz00,
							BINT(8402L), BGl_string1668z00zz__tvectorz00,
							BGl_string1645z00zz__tvectorz00, BgL_tvz00_1915);
						FAILURE(BgL_auxz00_2196, BFALSE, BFALSE);
					}
				return BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_2193);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__tvectorz00(void)
	{
		{	/* Llib/tvector.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__tvectorz00(void)
	{
		{	/* Llib/tvector.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__tvectorz00(void)
	{
		{	/* Llib/tvector.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00(void)
	{
		{	/* Llib/tvector.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__hashz00(254893342L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
			return
				BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1669z00zz__tvectorz00));
		}

	}

#ifdef __cplusplus
}
#endif
